/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:14pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Givers\Cenred.cs
Lines of code: 79

Description: 

***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class CandyIsDandyQuest : BaseQuest
	{				
		public override object Title{ get{ return "Candy Is Dandy"; } }
		
		public override object Description{ get{ return "I wish Alvared would share some of that candy, but he says we need to ration our sweets. We haven't much food in this area, but it would be nice to have something to snack on.<br><br>If you pursuade him to give up some of that candy, I've got a helpful hint for you"; } }
		
		public override object Refuse{ get{ return "Alright, suit yourself."; } }
		
		public override object Uncomplete{ get{ return "If you're looking for candy, some of the other witches or druids might offer you some quests with a bag of candy as the reward."; } }
		
		public override object Complete{ get{ return "Ohhh look at all these lovely wrapped candies. Many thanks. I spotted an exotic blue frog around here many nights ago. Perhaps a witch from Wormwood is looking for it."; } }
	
		public CandyIsDandyQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( WrappedCandy ), "Wrapped Candy", 10, 18078, 0, 0 ) );
			
			AddReward( new BaseReward( typeof( BlueFrogHintScroll ), "A hint scroll" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Cenred : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( CandyIsDandyQuest )
			};} 
		}
		
		[Constructable]
		public Cenred() : base( "Cenred", "the druid" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Cenred( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 33358;

			Female = false;
			Race=Race.Elf;
			Body = 605;
		}
		
		public override void InitOutfit()
		{
			AddItem( new MaleElvenRobe( 1364 ) );
			AddItem( new Sandals() );
			AddItem( new Obi( 1191 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Hue = 1190;
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}